Subject: Re: [PATCH] rakudo Re: Parrot packaging problems
From: Reini Urban <[email-masked]>
To: "Patrick R. Michaud" <[email-masked]>
Cc: Michael Schroeder <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 10 Apr 2009 11:09:19 +0200
List-Id: <cygwin.cygwin.com>

@cygwin: About perl6-1.0, called rakudo-2009-03

2009/4/9 Patrick R. Michaud:
> On Thu, Apr 09, 2009 at 09:00:54PM +0200, Reini Urban wrote:
>> And attached is my rakudo-2009-03-1.src.patch to work from an installed
>> parrot.
>
> I like this patch *very* much, I will likely apply it (with some minor
> modifications) in the next day or so.  Thank you so much for working on it.

I reworked the patch for make install and my rakudo package looks
almost sane now.
Attachment failed, so updated at
  http://code.google.com/p/cygwin-rurban/source/browse/#svn/trunk/release/parrot
rakudo-2009-03-1.src.patch

The package can still not be released though.
cygwin-1.7 recently changed the symlinks to use wchar and I need to update
the dependent packages first,
gcc-4 is still experimental,
the perl6 symlink needs to be checked at install-time (for a possible
conflict with pugs),
cygport has a minor doc_dir bug with the strange package name rakudo-2009-03,
leading to /usr/share/doc/rakudo-2009 and not rakudo-2009-03.
I might be tempted to use rakudo-200903 as package name.

> One question I have though... why exactly do we need a separate
> installable_perl6 target?  What does the --install option to pbc_to_exe
> do that is different from a normal pbc_to_exe run?

--install links to install_config.o in contrast to parrot_config.o,
so we use the config hash from the installed parrot, with the correct
library paths.

I also get lots of spectest failures of 2009-03 with parrot-1.0.0.
See http://code.google.com/p/cygwin-rurban/source/browse/#svn/trunk/release/parrot/CYGWIN-PATCHES/rakudo-2009-03-1-check.log.gz

I assume 2009-03 is targetting a newer parrot than 1.0.0,
which is unfortunate for a quasi perl6-1.0 release.
-- 
Reini Urban
http://phpwiki.org/              http://murbreak.at/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/